Get a statement's transactions
curl --request GET \
--url https://api.synctera.com/v2/statements/{statement_id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/statements/{statement_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/statements/{statement_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"amount": 123,
"creation_time": "2023-11-07T05:31:56Z",
"currency": "<string>",
"effective_date": "2023-12-25",
"force_post": true,
"group_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated_time": "2023-11-07T05:31:56Z",
"partial_hold": true,
"pending_amount": 123,
"posted_amount": 123,
"subtype": "<string>",
"transaction_time": "2023-11-07T05:31:56Z",
"type": "<string>",
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "<string>",
"decline": {
"decline_details": "<string>"
},
"description": "<string>",
"enhanced_transaction": {
"category": "<string>",
"enhanced_description": "<string>",
"enhanced_raw": [
{
"amount": 123,
"categorized_by": 123,
"category": "<string>",
"category_guid": "<string>",
"described_by": 123,
"description": "<string>",
"extended_transaction_type": "<string>",
"id": 123,
"is_bill_pay": true,
"is_direct_deposit": true,
"is_expense": true,
"is_fee": true,
"is_income": true,
"is_international": true,
"is_overdraft_fee": true,
"is_payroll_advance": true,
"is_subscription": true,
"memo": "<string>",
"merchant_category_code": 123,
"merchant_guid": "<string>",
"merchant_location_guid": "<string>",
"original_description": "<string>",
"type": "<string>"
}
]
},
"fraud_risk": {
"reasons": [],
"vendor_reasons": [
"<string>"
]
},
"hold_expiration_time": "2023-11-07T05:31:56Z",
"internal_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"metadata": {},
"posted_date": "2023-12-25",
"reference_id": "<string>",
"system_description": "<string>"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Statements
Get a statement's transactions
Gets the list of transactions for a statement’s period.
GET
/
statements
/
{statement_id}
/
transactions
Get a statement's transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a statement
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Query Parameters
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Was this page helpful?
⌘I

